﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xam_Graph
{
    using System.Collections.ObjectModel;
    using System.ComponentModel;
    using System.Windows.Threading;

    public class FrequencyDataModel : ObservableCollection<Frequency>
    {

        DispatcherTimer dTimer = new DispatcherTimer();

        private Random random;

        public FrequencyDataModel()
        {
            // Have the callback run every millisecond
            this.dTimer.Interval = new TimeSpan(0, 0, 0, 0, 1);

            // set the timer's callback
            this.dTimer.Tick += this.dTimer_Tick;

            this.PopulateData();

            //this.dTimer.Start();

        }

        private void dTimer_Tick(object sender, EventArgs e)
        {

            this.Clear();
            this.PopulateData();
        }

        private void PopulateData()
        {

            this.random = new Random();

            for (int i = 0; i < 1000; i++)
            {
                Frequency frequency = new Frequency { Value = this.random.NextDouble(), Label = "" };
                this.Add(frequency);
            }
        }
    }
}
